Subject: Re: [next] bonding: pass link-local packets to bonding master also.

From: Vincent Bernat <[email-masked]>
Date: Sun, 23 Dec 2018 14:16:57 +0100

❦ 23 décembre 2018 14:06 +01, Michal Soltys <[email-masked]>:

>>> Basing on what you wrote below, it seems that everything was already
>>> possible before the Chonggang Li's commit ?
>>>
>>> If I understand correctly:
>>>
>>> - if listening on master, you could get both slave interface
>>> (PACKET_ORIGDEV) as well as bonding master
>>> - if listening on slave, you would just get the slave interface
>>>
>>> Right ?
>> 
>> Yes. This has been this way since 2.6.27.
>
> In the earlier thread, the author of the original patch
> said that:
>
>> The exact problem that was fixed is, when a LLDP/CDP packet is
>> received, we want to know which exact interface did it come from,
>> instead of the bonding master.
>> 
>> Thanks,
>> Chonggang
>
> But if PACKET_ORIGDEV provided it (and this functionally is now broken,
> so counts as another regression - earlier bridging issues aside), maybe
> it should be just reverted ?

I think this would be better. Once fixed, I can push a change for
packet(7) to document this option as it is currently not present.
-- 
The last thing one knows in constructing a work is what to put first.
		-- Blaise Pascal